function Ma = isenMaTT0(tr,k)
% isenMaTT0  Mach number as fcn of temperature ratio T/T0 for isentropic
%            compressible flow
%
% Synopsis:  Ma = isenMaTT0(pr)
%            Ma = isenMaTT0(pr,k)
%
% Input:   tr = T/T0, temperature ratio
%          k  = (optional) specific heat ratio;  Default:  k = 1.4
%
% Output:  Ma = Mach number

if nargin<2,  k = 1.4;  end   %  default material is air

Ma = sqrt((2/(k-1))*(1./tr - 1));
